# WOK
TKWOK
WOKMake

# WOKMake_MetaStep Class Reference

`#include <WOKMake_MetaStep.hxx>`

Inheritance diagram for WOKMake_MetaStep:

[legend]

## Public Member Functions

Standard_EXPORT | WOKMake_MetaStep (const Handle(WOKMake_BuildProcess)&aprocess, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT void | SetAdmFileType (const Handle(TCollection_HAsciiString)&atype)
Standard_EXPORT void | SetOutputDirTypeName (const Handle(TCollection_HAsciiString)&atype)
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | UnderlyingSteps ()
Standard_EXPORT void | SetUnderlyingSteps (const Handle(TColStd_HSequenceOfHAsciiString)&steps)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Parts () const
Standard_EXPORT void | SetParts (const Handle(TColStd_HSequenceOfHAsciiString)&parts)
virtual Standard_EXPORT WOKMake_Status | Make ()
| Computes dependances Decides if perform is needed. Performs Step on needed entities returns status .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT Standard_Boolean | HandleInputFile (const Handle(WOKMake_InputFile)&anitem)
| 1 - Adds File In list if file is an input of step 2 - Sets Build Flag if file is a candidate to construction
virtual Standard_EXPORT Handle_TCollection_HAsciiString | AdmFileType () const
virtual Standard_EXPORT Handle_TCollection_HAsciiString | OutputDirTypeName () const
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | GetUnderlyingSteps ()
| Get Underlying steps using output of input steps .
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | GetLastUnderlyingSteps ()
| Get Underlying steps using last output of step .
virtual Standard_EXPORT Standard_Boolean | HandleOutputFile (const Handle(WOKMake_OutputFile)&anfile)
| Handles Output file new/same/disappereread .

## Private Member Functions

virtual Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes underlying steps Computes output files .

## Private Attributes

Handle_TCollection_HAsciiString | myadmtype
Handle_TCollection_HAsciiString | myouttype
Handle_TColStd_HSequenceOfHAsciiString | myparts
Handle_TColStd_HSequenceOfHAsciiString | myundersteps

## Constructor & Destructor Documentation

Standard_EXPORT WOKMake_MetaStep::WOKMake_MetaStep | ( | const Handle(WOKMake_BuildProcess)& | aprocess,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKMake_MetaStep::AdmFileType | ( |  | ) | const`[protected, virtual]`

| Implements WOKMake_Step. Reimplemented in WOKDeliv_DeliveryDATA, WOKDeliv_DeliveryExecList, WOKDeliv_DeliveryLIB, WOKDeliv_DeliverySOURCES, WOKDeliv_DeliverySTUBClient, WOKStep_ExtractExecList, and WOKStep_LibLimit.

virtual Standard_EXPORT void WOKMake_MetaStep::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Implements WOKMake_Step. Reimplemented in WOKDeliv_DeliveryDATA, WOKDeliv_DeliveryExecList, WOKDeliv_DeliveryLIB, WOKDeliv_DeliverySOURCES, WOKDeliv_DeliverySTUBClient, WOKStep_ExtractExecList, and WOKStep_LibLimit.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKMake_MetaStep::GetLastUnderlyingSteps | ( |  | ) | `[protected, virtual]`

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKMake_MetaStep::GetUnderlyingSteps | ( |  | ) | `[protected, virtual]`

Standard_EXPORT const WOKMake_MetaStep::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKMake_Step. Reimplemented in WOKDeliv_DeliveryArchive, WOKDeliv_DeliveryDATA, WOKDeliv_DeliveryExecList, WOKDeliv_DeliveryLIB, WOKDeliv_DeliveryMetaStep, WOKDeliv_DeliveryShared, WOKDeliv_DeliverySOURCES, WOKDeliv_DeliverySTUBClient, WOKStep_ExtractExecList, and WOKStep_LibLimit.

virtual Standard_EXPORT Standard_Boolean WOKMake_MetaStep::HandleInputFile | ( | const Handle(WOKMake_InputFile)& | anitem | ) | `[protected, virtual]`

| Implements WOKMake_Step. Reimplemented in WOKDeliv_DeliveryDATA, WOKDeliv_DeliveryExecList, WOKDeliv_DeliveryLIB, WOKDeliv_DeliverySOURCES, WOKDeliv_DeliverySTUBClient, WOKStep_ExtractExecList, and WOKStep_LibLimit.

virtual Standard_EXPORT Standard_Boolean WOKMake_MetaStep::HandleOutputFile | ( | const Handle(WOKMake_OutputFile)& | anfile | ) | `[protected, virtual]`

| Reimplemented from WOKMake_Step.

virtual Standard_EXPORT WOKMake_Status WOKMake_MetaStep::Make | ( |  | ) | `[virtual]`

| Reimplemented from WOKMake_Step.

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKMake_MetaStep::OutputDirTypeName | ( |  | ) | const`[protected, virtual]`

| Implements WOKMake_Step. Reimplemented in WOKDeliv_DeliveryMetaStep, WOKStep_ExtractExecList, and WOKStep_LibLimit.

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKMake_MetaStep::Parts | ( |  | ) | const

Standard_EXPORT void WOKMake_MetaStep::SetAdmFileType | ( | const Handle(TCollection_HAsciiString)& | atype | ) |

Standard_EXPORT void WOKMake_MetaStep::SetOutputDirTypeName | ( | const Handle(TCollection_HAsciiString)& | atype | ) |

Standard_EXPORT void WOKMake_MetaStep::SetParts | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | parts | ) |

Standard_EXPORT void WOKMake_MetaStep::SetUnderlyingSteps | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | steps | ) |

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKMake_MetaStep::UnderlyingSteps | ( |  | ) | `[virtual]`

## Field Documentation

Handle_TCollection_HAsciiString WOKMake_MetaStep::myadmtype `[private]`

Handle_TCollection_HAsciiString WOKMake_MetaStep::myouttype `[private]`

Handle_TColStd_HSequenceOfHAsciiString WOKMake_MetaStep::myparts `[private]`

Handle_TColStd_HSequenceOfHAsciiString WOKMake_MetaStep::myundersteps `[private]`

The documentation for this class was generated from the following file:

- WOKMake_MetaStep.hxx